.floatright { float: right; }
img.repeat { clear: right; }
.select2-container { max-width: 100%; }
.agenda-grid { display: grid; grid-auto-flow: column; }
.agenda-grid.week-grid[data-numcols="7"] { grid-template-columns: repeat(7, 1fr); }
.agenda-grid.week-grid[data-numcols="5"] { grid-template-columns: repeat(5, 1fr); }
.agenda-grid.day-grid { grid-template-columns: repeat(1, 1fr); }
.agenda-grid > div:not(.cell-holiday) { border: 1px solid #ddd; }
div.agenda-head {
  text-align: center; background-color: #fff3f3; font-weight: bold;
  position: sticky; top: 0; z-index: 100;
}
.agenda-grid.holiday-grid { grid-auto-columns: minmax(0, 1fr); }
.cell-holiday:not(:empty) {
  display: block;
  background-color: red;
  color: white;
  font-weight: bold;
  width: 90%;
  margin: 0 auto;
  text-align: center;
  border-radius: 12px;
}
.event-cell { position: relative; }
.event-cell:hover:after { content: attr(data-hour); color: #aaa; font-style: italic; }
.event-cell.hour { border-top: 1px solid #333 !important; }
.event-cell.meal {
  background: repeating-linear-gradient(
    135deg,
    #ddd,
    #fff 5px
  );
}
span.event-content {
  position: absolute; top: 0; left: 0; display: inline-block;
  padding: 3px; z-index: 1; overflow: hidden; opacity: 0.8; width: 100%;
  border-bottom: 1px solid #ddd;
}
span.event-content.dispo { width: 100%; color: black; }
span.event-content.transport { width: calc(100% - 22px); opacity: 1; color: black; background-color: #8f8fff; }
#planif_container .event-content.transport { opacity: 0.5; }
span.event-content.nouveau-transport { width: calc(100% - 22px); opacity: 1; color: red; border: 3px dotted red; }
span.event-content.cancelled { text-decoration: line-through; opacity: 0.2; }
span.event-content.transport:hover { overflow: visible; height: auto !important; z-index: 100; }
span.event-content img.icon { background-color: white; opacity: 0.6; border-radius: 4px; margin-left:4px; }
span.event-content img.icon:hover { background-color: #eee; }
span.event-content a { color: black; }
span.radio-border {
  border: 1px solid gray;
  border-radius: 8px;
  padding: 5px; margin: 0 5px;
  background-color: #F0F8FF;
}

div.agenda-list-grid { display: grid; grid-template-columns: max-content max-content auto 34px; grid-auto-flow: row; }
div.agenda-list-grid > div { padding: 4px 8px; border: 1px solid #eee; }

#daily-events { border-collapse: collapse; }
#daily-events td { border: 1px solid #ccc; padding: 5px; vertical-align: top; }

.agenda-edit #id_description { width: 100%; height: 3em; }
summary + * { padding-left: 0.7em; }
#agenda-delete textarea { width: 100%; height: 5em; }
div.boutons { display: flex; justify-content: space-between; }

#agenda-filter-form {
  display: flex;
  justify-content: space-between;
}

#id_msg_method label { font-weight: normal; }
.char_counter.overflow { color: red; }
